---
order: 4
title: Visualization
---

The visual language is based on a set of design guidelines with data visualization features derived from the intermediate design language Ant Design, which makes the data expression more in line with the user's psychology, helping the “designer” to incubate visual solutions with more business characteristics to meet the individualization. Design requirements, shielding unnecessary design differences and implementation costs, thus liberating the "designer" and front-end R&D resources, and achieving comprehensive improvement of data chart development efficiency.

At the same time, this is a dynamically updated design document, your reading and feedback is the driving force for us to continue to advance, [GitHub feedback address](https://github.com/antvis/site/issues)

## Design Resources

We provide comprehensive design principles & guidelines and design resource files (Sketch), as well as a complete graphical usage note to help users quickly understand charts and design high quality visualization charts.

- [Design Principles](https://antv.alipay.com/zh-cn/vis/design/color.html)
- [Design Resources](https://antv.alipay.com/en-us/vis/resource/index.html)
- [chart usage](https://antv.alipay.com/zh-cn/vis/chart/index.html)

## Front end implementation

We encapsulate a set of AntV component libraries based on native JavaScript, which includes a high-interaction base chart library G2, a chart library G6 focusing on process and relationship analysis, a chart library F2 for mobile applications, and other frameworks in the community. Implementation version.

- [G2 (official implementation)](https://antv.alipay.com/zh-cn/g2/3.x/index.html)
- [G6 (official implementation)](https://antv.alipay.com/zh-cn/g6/1.x/index.html)
- [F2 (official implementation)](https://antv.alipay.com/zh-cn/f2/3.x/index.html)
- [BizCharts (React)](https://alibaba.github.io/BizCharts/)
- [Viser (React / Vue / Angular)](https://viserjs.github.io/)
